## revpipyload 0.11.0

=== debian/changelog ===
revpipyload (0.11.0-2+deb13+1) trixie; urgency=medium

  * Initial release for trixie

 -- Sven Sager <s.sager@kunbus.com>  Mon, 08 Dec 2025 10:55:28 +0100

revpipyload (0.11.0-1+revpi12+1) bookworm; urgency=medium

  * chore: Release 0.11.0rc1
  * build: Add environment variable to set alternative venv path
  * build: Fix Makefile targets to match GNU coding standards
  * fix: Fixes the error that setconfig always reloads the settings
  * fix: Settings name translation has to check the existence of key
  * feat: New XML-RPC function 'set_plcprogram'
  * chore: Release 0.11.0rc2
  * feat: New XML-RPC function for async calls of piControl
  * chore: Release 0.11.0
  * packaging: Update dependency version of revpimodio2

 -- Sven Sager <s.sager@kunbus.com>  Mon, 27 Nov 2023 14:39:09 +0100

revpipyload (0.10.0-1+revpi12+1) bookworm; urgency=medium

  [ Kees Jan Koster ]
  * Add ability to write I/O that has slashes in the names. Those look
    good on MQTT.

  [ Sven Sager ]
  * Some additional MQTT updates
  * Support wordorder for revpi-commander
  * Reorder package to src-layout, switch to GPLv2 license.
  * Add default files for installation or packaging.
  * Replaces Master-Slave with Client-Server
  * Bugfix of imports and wordorder for revpi commander
  * fix: Set dependency of RevPiModIO to final version
  * docs: Add new wordorder property to example file
  * feat: Remove shell scripts from data files
  * fix: Load all class attributes regardless of configuration
  * feat: Rename obsolet config file values
  * revert: XML-RPC protocol changes
  * chore: Release 0.10.0
  * fix: Upstream project has removed mqtt library, which makes this
    patch superfluous
  * fix: Update upstream dependencies for debian package
  * fix: dh_python3 pydist needs revpimodio2 as build dependency
  * feat: Adapt packaging to new folders hierachie
  * feat: Use example files form upstream in our package
  * packaging: Add all used python libraries to build depends for testing
  * packaging: Remove obsolet lsb-base dependency from package

 -- Sven Sager <s.sager@kunbus.com>  Mon, 03 Jul 2023 17:15:59 +0200

revpipyload (0.9.8-1+revpi11+1) bullseye; urgency=medium

  [ Sven Sager ]
  * Object scan in MQTT server uses wrong name source, ignoring export flag

 -- Zhi Han <z.han@kunbus.com>  Thu, 09 Jun 2022 16:00:11 +0200

revpipyload (0.9.7-1+revpi10) unstable; urgency=medium

  [Sven Sager]
  * The MQTT system sends byte IOs as real byte to the broker
  * Reset of piControl via ioctl
  * Bugfix: Write MQTT values without enabled send_on_event
  * Bugfix: Missing core. IOs in MQTT on RevPi FLAT devices
  * secure_installation will only reload settings, if daemon is running
  * Code cleanup
  * Improve log information about plc program exit like termed/killed/exit

 -- Nicolai Buchwitz <n.buchwitz@kunbus.com>  Fri, 22 Apr 2022 15:00:30 +0100

revpipyload (0.9.6-1+revpi10) unstable; urgency=medium

  * Import revpipyload 0.9.6
  * patch: Debundle python3 paho mqtt client

 -- Philipp Rosenberger <p.rosenberger@kunbus.com>  Fri, 26 Mar 2021 15:17:30 +0100
