=== debian/control ===
Source: revpipyload
Section: python
Priority: optional
Maintainer: KUNBUS GmbH <support@kunbus.com>
Rules-Requires-Root: no
Homepage: https://revpimodio.org/revpipyplc/
Vcs-Browser: https://gitlab.com/RevolutionPi/revpipyload
Vcs-Git: https://gitlab.com/RevolutionPi/revpipyload.git -b debian/trixie
Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-revpimodio2 (>= 2.7.0~rc2),
  python3-setuptools
Standards-Version: 4.7.2

Package: revpipyload
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${python3:Depends},
  ${misc:Depends}
Description: PLC Loader for Python projects on the RevolutionPi
 This program start a given Python PLC program on system boot. It monitors the
 program and reistartes it if an error occures. On a crash the complete
 /dev/piControl0 can be set to 0x00. It also provides a XML-RPX server. Software
 can be transferred to the RevPi with this server. A tool can monitor the
 process image on runtime.
